%define name nanocrypt
%define version 0.0.1
%define release 1

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: File encryption using the RC4 algorithm

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Cryptography
Copyright: GPL
Vendor: Damien Miller <djm@mindrot.org>
Url: http://www.mindrot.org/code/nanocrypt.php3
Packager: Damien Miller <djm@mindrot.org>
Source0: http://www.mindrot.org/files/%{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root

%changelog
* Sat Sep 25 1999 Damien Miller <djm@mindrot.org>

- Made RPM

%description
nanocrypt is a small program to encrypt and decrypt files using the 
RC4 algorithm.

%prep

%setup

%build
make OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install nanocrypt $RPM_BUILD_ROOT/usr/bin/nanocrypt

%files
%doc README COPYING
%attr(4755,root,root) /usr/bin/nanocrypt

%clean
rm -r $RPM_BUILD_ROOT


